.home-container {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: calc(100vh - 120px);
  padding: 0 var(--container-padding);
  gap: 6rem;
  max-width: 1400px;
  margin: 0 auto;
}

.home-visual {
  flex: 1;
  display: flex;
  justify-content: flex-end;
}

.img-home {
  max-width: 1000px;
  width: 100%;
  height: auto;
}

.home-info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 3rem;
}

.brand-logo {
  max-width: 250px;
  height: auto;
  margin-bottom: 1.5rem;
}

.brand-header {
  display: flex;
  flex-direction: column;
  gap: 0.2rem;
}

.brand-title {
  font-size: 5rem;
  font-weight: 900;
  line-height: 1;
  color: #3a3a3a;
  margin: 0;
}

.brand-subtitle {
  font-size: 2.2rem;
  font-weight: 800;
  color: var(--color-secondary-blue);
  letter-spacing: 1px;
}

.navigation-hint {
  display: flex;
  align-items: center;
  margin-top: 1rem;
  gap: 0.5rem;
  font-size: 0.9rem;
  font-weight: 600;
  color: #555;
}

.nav-icon {
  width: 25px;
  height: auto;
}

.category-list {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
  align-items: flex-start;
}

.category-item {
  font-size: 2.2rem;
  font-weight: 800;
  color: var(--color-neutral-black);
  padding: 0.4rem 1.2rem;
  border-radius: 50px;
  position: relative;
  overflow: hidden;
}

.category-item:hover {
  background-color: var(--color-neutral-white);
}

/* Efeito granulado no hover */
.category-item:hover::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(../assets/ruido.png);
  opacity: 0.7;
  pointer-events: none;
  mix-blend-mode: multiply;
}

@media (max-width: 1024px) {
  .home-container {
    flex-direction: column;
    padding-top: 2rem;
    gap: 2rem;
    text-align: center;
  }

  .brand-logo {
  margin-left: auto;
  margin-right: auto;
}

  .home-visual {
    justify-content: center;
  }

  .home-info {
    align-items: center;
  }

  .category-list {
    align-items: center;
  }

  .brand-title {
    font-size: 4rem;
  }

  .brand-subtitle {
    font-size: 1.8rem;
  }

  .category-item {
    font-size: 1.8rem;
  }
}
